Qt 5.6 | Qt Multimedia | C++ Classes | QMediaServiceProviderPlugin

Qt 5.6.2 Reference Documentation

# QMediaServiceProviderPlugin Class

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins. More...

Header: | #include <QMediaServiceProviderPlugin>
qmake: | QT += multimedia
Inherits: | QObject and QMediaServiceProviderFactoryInterface

- List of all members, including inherited members

## Public Functions

virtual QMediaService * | create(const QString &key) = 0

## Reimplemented Public Functions

virtual void | release(QMediaService *service) = 0

- 31 public functions inherited from QObject
- 2 public functions inherited from QMediaServiceProviderFactoryInterface

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 2 signals inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 9 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins.

A media service provider plug-in may implement one or more of QMediaServiceSupportedFormatsInterface, QMediaServiceSupportedDevicesInterface, and QMediaServiceFeaturesInterface to identify the features it supports.

## Member Function Documentation

### `[pure virtual]` QMediaService *QMediaServiceProviderPlugin::create(const QString &key)

Constructs a new instance of the QMediaService identified by key.

The QMediaService returned must be destroyed with release().

### `[pure virtual]` void QMediaServiceProviderPlugin::release(QMediaService *service)

Destroys a media service constructed with create().